Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: openSuseUpdater - yast2 - upgrading/actualizing packages

  1. #1

    Default openSuseUpdater - yast2 - upgrading/actualizing packages

    Hi,

    I am new in oSuse (coming from Kubuntu).
    I have a question about upgrading packages with openSuseUpdater and Yast2: I have added multimedia/audio/built repositrie. Now the openSuseUpdater tells me there are some upgrades ready, but it simply doesn't upgrade them. Then when I look in Yast2 I can see that for example the Jack-Package has an newer version from Oss-Repositrie than my installed version from audio/built repositrie but when auto-actualize it doesn't mark it for upgrade!
    Why is that? How can I veryfie if I really have the latest version of the packages?

    I hope I managed to describe the problem that U can understand :-(

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Default Re: openSuseUpdater - yast2 - upgrading/actualizing packages

    Try opening Yast - Software - Software Management
    Filter by repo
    select updates first and from the packages tab at the top, select update all in this list if newer avail
    accept

    ? install more packages? Y/N
    yes
    now do all the other repo's (well, maybe) tell us what repo's you have

    In a term

    zypper lr
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3

    Default Re: openSuseUpdater - yast2 - upgrading/actualizing packages

    ok, it's that what i was trying to say. "select update all in this list if newer available" doen't work. as you can see in screenshot there isn't even the newer version in "()" after the installed version. See at bottom that there is newer version in OSS available.



    if needed here is snapshot of my repos: ImageShack - Hosting :: 62104694du7.png

  4. #4

    Default Re: openSuseUpdater - yast2 - upgrading/actualizing packages

    s it's a bug??????????????

  5. #5
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Default Re: openSuseUpdater - yast2 - upgrading/actualizing packages

    you have to click the radio button in the versions list - of the one you want to install, in your case the last in the list Main oss
    accept
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  6. #6

    Default Re: openSuseUpdater - yast2 - upgrading/actualizing packages

    yea, i know that

    the question is: why does the automatic way not working?

  7. #7
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Default Re: openSuseUpdater - yast2 - upgrading/actualizing packages

    You would have to set the oss to a higher priority. You can read about that in the repo manager and press Help

    Not that I advise you do that.
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  8. #8

    Default Re: openSuseUpdater - yast2 - upgrading/actualizing packages

    i attached my repos-screenshot above. as you can see, the oss priority is 120. the others 99, so i don't understand why it is happaning like this

  9. #9
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Default Re: openSuseUpdater - yast2 - upgrading/actualizing packages

    change oss to less than 99
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  10. #10

    Default Re: openSuseUpdater - yast2 - upgrading/actualizing packages

    changed everything to 99 priority and now its working fine, don't understand though why 99 is higher priority than 120 :-o

    thank you

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •